=== tools/CMakeLists.txt ===
add_executable(xea2kmt xea2kmt.cpp)
target_link_libraries(xea2kmt kmm_mymoney)
