=== debian/changelog ===
kmymoney (5.1.3-2build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 15 Jul 2025 14:12:02 +0300

kmymoney (5.1.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add libkchart2-dev to B-D to re-enable the reports-plugin (Closes:
    #1095442).
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Apr 2025 23:26:46 +0200

kmymoney (5.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with QWebEngine. (Closes: #1093380)
  * Drop addressbook support. (Closes: #1088984)
  * Disable reports view. (Closes: #1086478)

  [ Pino Toscano ]
  * Switch the transitional gnupg-agent recommend to gpg-agent.
    (Closes: #1064111)
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Bastian Germann <bage@debian.org>  Sun, 19 Jan 2025 14:10:04 +0100

kmymoney (5.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Update the patches:
    - upstream_Remove-unused-variable-definition.patch: drop, backported from
      upstream
    - upstream_Fix-build-with-newer-Gwenhywfar-versions.patch: drop, backported
      from upstream
    - fix_build_kdepim_21.12.patch: drop, fixed upstream
  * Update lintian overrides.
  * Append -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as there are lots of deprecation warnings that make build logs bigger.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Sun, 31 Jul 2022 09:52:37 +0200
